.block {
	// position: relative;
	// z-index: 1;
	display: block;
	border-bottom: 1px solid $mercury;
	padding: 40px 0;

	&__row {
		flex-flow: wrap;
	}

	&__col {
		margin-bottom: px($containerGutter);
		padding: px(20) px(10);
		text-align: center;
		background-color: $white;

		&--shadow {
			box-shadow: $shadow-flat;
		}

		&--rounded {
			border-radius: px(4);
		}
	}

	&__title {
		margin-bottom: px($containerGutter);

		span {
			position: relative;

			&::before {
				content: "";
				position: absolute;
				left: 0;
				bottom: -2px;
				border-bottom: 2px dashed $fern;
				width: 100%;
				height: 2px;
			}
		}

		&--standard {
			font-weight: 600;
			font-size: 24px;
			line-height: 32px;
		}

		&--center {
			text-align: center;
		}

		&--fern {
			color: $salem;
		}

		&--shadow {
			text-shadow: $shadow;
		}

		&--top {
			@include adaptiveValue("font-size", 50, 32, 0);

			margin-bottom: 20px;
			line-height: 60px;
		}

		&--hellofresh {
			padding-bottom: 30px;
		}

		&--faq {
			font-size: 32px;
			text-align: center;
		}

		&--electric-violet {
			span {
				background-color: $electric-violet;
			}
		}

		&--blue-ribbon {
			span {
				background-color: $blue-ribbon;
			}
		}

		&--red-ribbon {
			span {
				background-color: $red-ribbon;
			}
		}

		&--spring-green {
			span {
				background-color: $spring-green;
			}
		}

		&--toolip-tree {
			span {
				background-color: $toolip-tree;
			}
		}

		&--torquoise {
			span {
				background-color: $torquoise;
			}
		}

		&--testimonials {
			text-transform: uppercase;
		}
	}

	&__subtitle {
		font-family: "SourceSansPro", sans-serif;
		font-size: 18px;
		line-height: 26px;

		&--top {
			margin-bottom: 30px;
			max-width: 460px;
			text-align: center;
		}

		&--center {
			text-align: center;
		}
	}

	&__text {
		font-weight: 400;
		font-size: px($fontSizeDefault);

		&--testimonials {
			@include adaptiveValue("font-size", 20, 16, 0);

			line-height: 1.5;

			span {
				font-weight: 600;
			}
		}

		&--date {
			padding-top: 20px;
			font-size: 12px;
		}

		&--mid {
			font-weight: 500;
		}

		&--semi {
			font-weight: 600;
		}

		&--bold {
			font-weight: 700;
		}

		&--xxl {
			@include adaptiveValue("font-size", ($fontSizeDefault * 3.5), ($fontSizeDefault + 12), 0);
		}

		&--xl {
			@include adaptiveValue("font-size", ($fontSizeDefault * 3), ($fontSizeDefault + 10), 0);
		}

		&--lg {
			@include adaptiveValue("font-size", ($fontSizeDefault * 2.5), ($fontSizeDefault + 8), 0);
		}

		&--md {
			@include adaptiveValue("font-size", ($fontSizeDefault * 2), ($fontSizeDefault + 6), 0);
		}

		&--sm {
			@include adaptiveValue("font-size", ($fontSizeDefault * 1.5), ($fontSizeDefault + 4), 0);
		}

		&--lt {
			@include adaptiveValue("font-size", ($fontSizeDefault * 1.2), ($fontSizeDefault + 2), 0);
		}
	}

	&__wrapper {
		display: flex;
		flex-flow: column;
		align-items: center;
		justify-content: center;
		// height: 100%;
	}

	&__top {
		position: relative;
		width: 100%;
		height: 650px;

		.container {
			position: relative;
			z-index: 2;
			height: 100%;
		}

		.block__wrapper {
			height: 100%;
		}

		@media (max-width: 768px) {
			height: 450px;
		}
	}

	&__background {
		position: absolute;
		left: 0;
		top: 0;
		width: 100%;
		background-size: cover;
		background-position: center;
		background-repeat: no-repeat;

		&--top {
			height: 650px;

			@media (max-width: 767px) {
				height: 450px;
			}
		}

		&--plans {
			height: 300px;
			background-image: url("../img/hfops.webp");

			@media (max-width: 1023px) {
				height: 450px;
				background-image: url("../img/hfops1023.webp");
			}

			@media (max-width: 767px) {
				background-image: url("../img/hfops768.webp");
			}

			@media (max-width: 567px) {
				background-image: url("../img/hfops-mobile.webp");
			}
		}
	}

	&__hellofresh {
		padding: 40px 0;
		background-color: $alabaster;

		.btn__flat {
			display: inline-flex;
			margin-top: 24px;
		}

		.achivement {
			padding-top: 25px;

			&__item-img {
				margin-bottom: 30px;
			}

			&__item {
				display: flex;
				flex-flow: column;
				align-items: center;
				justify-content: center;

				@media (max-width: 768px) {
					margin-bottom: 20px;
				}
			}

			&__item-title {
				font-size: 16px;
				line-height: 28px;
				text-align: center;
			}

			&__item-text {
				padding: 0 20px;
				line-height: 24px;
				text-align: center;
			}
		}
	}

	&__achivements {
		padding: 40px 0;
		background-color: $alabaster;

		.btn__flat {
			display: inline-flex;
			margin-top: 24px;
		}

		.achivement {
			padding-top: 25px;

			&--v2 {
				padding-top: 40px;
			}

			&__item-img {
				margin-bottom: 30px;
			}

			&__item {
				display: flex;
				flex-flow: column;
				align-items: center;
				justify-content: center;

				@media (max-width: 768px) {
					margin-bottom: 20px;
				}
			}

			&__item-title {
				font-size: 16px;
				line-height: 28px;
				text-align: center;
			}

			&__item-text {
				padding: 0 20px;
				line-height: 24px;
				text-align: center;
			}
		}
	}

	&__inside-box {
		padding: 40px 0;

		.col-md-5 {
			display: flex;
			flex-flow: column;
			align-items: center;
			justify-content: center;
		}

		.col-md-6 {
			img {
				width: 100%;
				object-fit: contain;
			}
		}
	}

	&__dinner-planing {
		.block__title {
			opacity: 0.5;
		}

		.col-md-5 {
			img {
				width: 100%;
				object-fit: cover;
			}
		}

		.col-md-6 {
			display: flex;
			flex-flow: column;
			align-items: center;
			justify-content: center;

			p {
				padding-bottom: 20px;
			}
		}
	}

	&__inside-box-list {
		li {
			display: flex;
			align-items: center;
			padding-bottom: 20px;

			span {
				margin-left: 5px;
			}
		}
	}

	&__recipes {
		padding: 40px 0;

		.block__wrapper {
			padding-top: 20px;
		}
	}

	&__recipes-v2 {
		.block__recipes-item-overlay {
			display: block;
		}

		.block__recipes-item-content {
			.block__title {
				text-align: left;

				span {
					padding: 0;
				}
			}

			p {
				display: block;
			}
		}
	}

	&__recipes-slider {
		position: relative;
		padding: 22px 70px;

		.swiper-slide {
			flex-shrink: 1;
		}

		@media (max-width: 767px) {
			padding: 22px 0;

			.recipes-next,
			.recipes-prev {
				display: none;
			}
		}
	}

	&__recipes-item {
		position: relative;
		overflow: hidden;
		border-radius: 5px;
		padding: 20px 10px;
		width: 262px;
		height: 315px;
		box-shadow: $mercury 0 3px 3px;
		color: $white;
		background-position: center;
		background-size: cover;
		background-repeat: no-repeat;
	}

	&__recipes-item-overlay {
		position: absolute;
		left: 0;
		right: 0;
		top: 0;
		bottom: 0;
		z-index: 1;
		display: none;
		border-radius: 5px;
		width: 262px;
		height: 315px;
		background-image: linear-gradient(rgba(0, 0, 0, 0) 45%, $black);
	}

	&__recipes-item-content {
		position: relative;
		z-index: 2;
		display: flex;
		flex-flow: column;
		justify-content: flex-end;
		height: 100%;

		.block__title {
			margin-bottom: 0;
			font-size: 24px;
			line-height: 32px;
			letter-spacing: -0.3px;
			text-align: center;
			text-transform: uppercase;

			span {
				padding: 0 5px;

				&::before {
					display: none;
				}
			}
		}

		p {
			display: none;
			line-height: 24px;
		}
	}

	&__recipes-pagination {
		margin-top: 20px;
		text-align: center;
	}

	&__insta {
		padding: 40px 0;

		a {
			font-weight: 600;
			color: $salem;
		}

		@media (max-width: 1023px) {
			.swiper-slide {
				flex-shrink: 1;
			}
		}
	}

	&__insta-slider {
		padding: 20px 0;
	}

	&__insta-slider-item {
		width: 100%;

		.image {
			position: relative;
			// width: 226px;
			height: 282px;

			img {
				width: 100%;
				height: 100%;
				object-fit: cover;
				object-position: center;
			}

			&:hover {
				.image-overlay {
					opacity: 1;
					visibility: visible;
				}
			}
		}

		.image-overlay {
			position: absolute;
			left: 0;
			right: 0;
			top: 0;
			bottom: 0;
			display: flex;
			align-items: center;
			justify-content: center;
			background-color: rgba(0, 0, 0, 0.5);
			opacity: 0;
			visibility: hidden;
			transition: all 0.2s ease-out;
			cursor: pointer;

			span {
				margin-left: 5px;
				color: $white;
			}
		}

		.content {
			padding: 20px 30px 0;
			text-align: center;

			@media (max-width: 1023px) {
				padding: 20px 10px 0;

				p {
					font-size: 14px;
				}
			}
		}

		&.active {
			.image-overlay {
				svg {
					fill: $white;
				}
			}
		}

		@media (max-width: 1023px) {
			width: 226px;
		}
	}

	&__plans {
		position: relative;
		height: 300px;

		.container {
			position: relative;
			z-index: 2;
			height: 100%;
		}

		.block__wrapper {
			height: 100%;
		}

		@media (max-width: 1023px) {
			height: 450px;
		}
	}

	&__faq {
		background-color: $alabaster;
	}

	&__faq-content {
		border: 1px solid $mercury;
		padding-bottom: 15px;
		width: 100%;
		font-family: "SourceSansPro", sans-serif;
	}

	&__subscribe {
		background-color: $alabaster;
	}

	&__subscribe-form {
		display: flex;
		justify-content: center;
		margin-top: 20px;
	}

	&__subscribe-input {
		position: relative;

		input {
			display: block;
			border: 1px solid $black;
			border-radius: 4px;
			border-top-right-radius: 0;
			border-bottom-right-radius: 0;
			padding: 12px 12px 12px 8px;
			width: 100%;
			height: 48px;
			font-family: "SourceSansPro", sans-serif;
			font-size: 16px;
			line-height: 24px;
			filter: none;

			&:focus {
				~ label {
					left: 9px;
					top: -6px;
					padding: 0 4px;
					font-weight: 600;
					font-size: 12px;
					line-height: 12px;
					background: linear-gradient(to bottom, transparent 48%, $white 48%);
				}
			}
		}

		label {
			position: absolute;
			left: 13px;
			top: 15px;
			font-family: "SourceSansPro", sans-serif;
			color: $black;
			background: $white;
			transition: all 150ms ease;
			pointer-events: none;

			&.active {
				left: 9px;
				top: -6px;
				padding: 0 4px;
				font-weight: 600;
				font-size: 12px;
				line-height: 12px;
				background: linear-gradient(to bottom, transparent 48%, $white 48%);
			}
		}
	}

	&__testimonials {
		&--v3 {
			background-color: $alabaster;

			@media (max-width: 767px) {
				.row {
					flex-flow: column;
				}

				.col {
					&:not(:last-child) {
						padding-bottom: 20px;
					}
				}
			}
		}
	}
}
